Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.core.query
Class OslcSelectLexer

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Lexer
              org.eclipse.lyo.core.query.OslcSelectLexer

All Implemented Interfaces:
  org.antlr.runtime.TokenSource

    public class OslcSelectLexer

extends org.antlr.runtime.Lexer

Field Summary
`static int` | `ASTERISK`
`static int` | `CLOSE_CURLY_BRACE`
`static int` | `COMMA`
`protected org.eclipse.lyo.core.query.OslcSelectLexer.DFA7` | `dfa7`
`static int` | `DIGIT`
`static int` | `DOT`
`static int` | `ECHAR`
`static int` | `EOF`
`static int` | `EOL`
`static int` | `MINUS`
`static int` | `NESTED_PROPERTIES`
`static int` | `NOT`
`static int` | `OPEN_CURLY_BRACE`
`static int` | `PLUS`
`static int` | `PN_CHARS`
`static int` | `PN_CHARS_BASE`
`static int` | `PN_CHARS_U`
`static int` | `PN_LOCAL`
`static int` | `PN_PREFIX`
`static int` | `PNAME_LN`
`static int` | `PNAME_NS`
`static int` | `PREFIXED_NAME`
`static int` | `PROPERTIES`
`static int` | `WILDCARD`
`static int` | `WS`

Fields inherited from class org.antlr.runtime.Lexer
`input`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

Constructor Summary
`OslcSelectLexer()`
`OslcSelectLexer(org.antlr.runtime.CharStream input)`
`OslcSelectLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

Method Summary
`String` | `getGrammarFileName()`
`void` | `mASTERISK()`
`void` | `mCLOSE_CURLY_BRACE()`
`void` | `mCOMMA()`
`void` | `mDIGIT()`
`void` | `mDOT()`
`void` | `mECHAR()`
`void` | `mEOL()`
`void` | `mMINUS()`
`void` | `mNESTED_PROPERTIES()`
`void` | `mNOT()`
`void` | `mOPEN_CURLY_BRACE()`
`void` | `mPLUS()`
`void` | `mPN_CHARS_BASE()`
`void` | `mPN_CHARS_U()`
`void` | `mPN_CHARS()`
`void` | `mPN_LOCAL()`
`void` | `mPN_PREFIX()`
`void` | `mPNAME_LN()`
`void` | `mPNAME_NS()`
`void` | `mPREFIXED_NAME()`
`void` | `mPROPERTIES()`
`void` | `mTokens()`
`void` | `mWILDCARD()`
`void` | `mWS()`

Methods inherited from class org.antlr.runtime.Lexer
`emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTIES

    public static final int PROPERTIES

See Also:
  Constant Field Values

### PREFIXED_NAME

    public static final int PREFIXED_NAME

See Also:
  Constant Field Values

### PN_LOCAL

    public static final int PN_LOCAL

See Also:
  Constant Field Values

### PNAME_NS

    public static final int PNAME_NS

See Also:
  Constant Field Values

### PNAME_LN

    public static final int PNAME_LN

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### ASTERISK

    public static final int ASTERISK

See Also:
  Constant Field Values

### ECHAR

    public static final int ECHAR

See Also:
  Constant Field Values

### EOL

    public static final int EOL

See Also:
  Constant Field Values

### WS

    public static final int WS

See Also:
  Constant Field Values

### PN_CHARS_BASE

    public static final int PN_CHARS_BASE

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### WILDCARD

    public static final int WILDCARD

See Also:
  Constant Field Values

### PN_PREFIX

    public static final int PN_PREFIX

See Also:
  Constant Field Values

### PN_CHARS

    public static final int PN_CHARS

See Also:
  Constant Field Values

### PN_CHARS_U

    public static final int PN_CHARS_U

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### OPEN_CURLY_BRACE

    public static final int OPEN_CURLY_BRACE

See Also:
  Constant Field Values

### CLOSE_CURLY_BRACE

    public static final int CLOSE_CURLY_BRACE

See Also:
  Constant Field Values

### NESTED_PROPERTIES

    public static final int NESTED_PROPERTIES

See Also:
  Constant Field Values

### dfa7

    protected org.eclipse.lyo.core.query.OslcSelectLexer.DFA7 dfa7

Constructor Detail

### OslcSelectLexer

    public OslcSelectLexer()

### OslcSelectLexer

    public OslcSelectLexer(org.antlr.runtime.CharStream input)

### OslcSelectLexer

    public OslcSelectLexer(org.antlr.runtime.CharStream input,
                           org.antlr.runtime.RecognizerSharedState state)

Method Detail

### getGrammarFileName

    public String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### mPROPERTIES

    public final void mPROPERTIES()
                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mNESTED_PROPERTIES

    public final void mNESTED_PROPERTIES()
                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPREFIXED_NAME

    public final void mPREFIXED_NAME()
                              throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mWILDCARD

    public final void mWILDCARD()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mWS

    public final void mWS()
                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPNAME_NS

    public final void mPNAME_NS()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPNAME_LN

    public final void mPNAME_LN()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mECHAR

    public final void mECHAR()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPN_CHARS_U

    public final void mPN_CHARS_U()
                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPN_CHARS

    public final void mPN_CHARS()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPN_PREFIX

    public final void mPN_PREFIX()
                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPN_LOCAL

    public final void mPN_LOCAL()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPN_CHARS_BASE

    public final void mPN_CHARS_BASE()
                              throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mDIGIT

    public final void mDIGIT()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mEOL

    public final void mEOL()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mOPEN_CURLY_BRACE

    public final void mOPEN_CURLY_BRACE()
                                 throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mCLOSE_CURLY_BRACE

    public final void mCLOSE_CURLY_BRACE()
                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mDOT

    public final void mDOT()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPLUS

    public final void mPLUS()
                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mMINUS

    public final void mMINUS()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mASTERISK

    public final void mASTERISK()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mCOMMA

    public final void mCOMMA()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mNOT

    public final void mNOT()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mTokens

    public void mTokens()
                 throws org.antlr.runtime.RecognitionException

  Specified by:
    `mTokens` in class `org.antlr.runtime.Lexer`
  Throws:
    `org.antlr.runtime.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.